> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get org usage



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json get /api/v1/usage
openapi: 3.1.0
info:
  title: Crosmos API
  version: 0.1.0
servers:
  - url: /
security: []
paths:
  /api/v1/usage:
    get:
      tags:
        - usage
      summary: Get org usage
      parameters:
        - schema:
            type: string
            format: date
          required: false
          name: start_date
          in: query
        - schema:
            type: string
            format: date
          required: false
          name: end_date
          in: query
      responses:
        '200':
          description: Org usage for the selected period
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    UsageResponse:
      type: object
      properties:
        plan:
          type: string
          enum:
            - free
            - developer
            - pro
            - enterprise
        period_start:
          type: string
          format: date
        period_end:
          type: string
          format: date
        tokens:
          $ref: '#/components/schemas/UsageMetric'
        queries:
          $ref: '#/components/schemas/UsageMetric'
        spaces:
          $ref: '#/components/schemas/UsageMetric'
        rate_limit_rpm:
          type: integer
        rate_limit_per_day:
          type: integer
      required:
        - plan
        - period_start
        - period_end
        - tokens
        - queries
        - spaces
        - rate_limit_rpm
        - rate_limit_per_day
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
        code:
          type: string
        request_id:
          type: string
        fields:
          nullable: true
      required:
        - detail
    UsageMetric:
      type: object
      properties:
        used:
          type: integer
        limit:
          type: integer
        remaining:
          type: integer
      required:
        - used
        - limit
        - remaining
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT access token or API key (csk_...)

````